# Uses of Interface
org.picocontainer.ObjectReference

Packages that use ObjectReference
Package
Description
org.picocontainer.behaviors
BehaviorFactories make Behaviors which change aspects of component implementations and instances
org.picocontainer.references

## Uses of ObjectReference in org.picocontainer.behaviors

Methods in org.picocontainer.behaviors with parameters of type ObjectReference
Modifier and Type
Method
Description
`static final Behavior`
Behavior.`cached(ComponentAdapter delegate, ObjectReference instanceReference)`
Constructors in org.picocontainer.behaviors with parameters of type ObjectReference
Modifier
Constructor
Description
``
`Cached(ComponentAdapter delegate, ObjectReference<Stored.Instance<T>> instanceReference)`
``
`Stored(ComponentAdapter<T> delegate, ObjectReference<Stored.Instance<T>> reference)`

## Uses of ObjectReference in org.picocontainer.references

Classes in org.picocontainer.references that implement ObjectReference
Modifier and Type
Class
Description
`class`
`SimpleReference<T>`
Simple instance implementation of ObjectReference.
`class`
`ThreadLocalMapObjectReference<T>`
Gets and sets references on a map stored in Thread Local
`class`
`ThreadLocalReference<T>`
Gets and sets references on Thread Local